| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Gr3d::VtkControlWin Class Reference

Control for presenting VTK graphics, intended for use in stand-alone windows. More...

Inheritance diagram for IG::Gr3d::VtkControlWin:
[legend]
Collaboration diagram for IG::Gr3d::VtkControlWin:
[legend]

List of all members.

## Public Member Functions
| VtkControlWin ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Properties
VtkControlBase | VtkControl`[get]`
| Gets the control of type VtkControlBase through which VTK functionality is controlled.
Kitware.VTK.RenderWindowControl | VtkRenderWindowControl`[get]`
| VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. Instead of accessing this control directly, you should normally access it through the VtkControlBase.VtkControl property of the VtkControl property.
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
VtkControlBase | _vtkControl
Kitware.VTK.RenderWindowControl | _vtkRenderWindowControl
System.ComponentModel.IContainer | components = null
| Required designer variable.
IG.Gr3d.VtkControlBase | vtkControlBase1
Graph3dManipulatorBasic | graph3dManipulatorBasic1

## Detailed Description

Control for presenting VTK graphics, intended for use in stand-alone windows.

This control contains the VtkControlBase control with sme additional controls, e.g. for closing the containing toplevel window.

$A Igor xx May13;

## Constructor & Destructor Documentation

IG::Gr3d::VtkControlWin::VtkControlWin | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Gr3d::VtkControlWin::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Gr3d::VtkControlWin::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

VtkControlBase IG::Gr3d::VtkControlWin::_vtkControl`[private]`

Kitware.VTK.RenderWindowControl IG::Gr3d::VtkControlWin::_vtkRenderWindowControl`[private]`

System.ComponentModel.IContainer IG::Gr3d::VtkControlWin::components = null`[private]`

Required designer variable.

IG.Gr3d.VtkControlBase IG::Gr3d::VtkControlWin::vtkControlBase1`[private]`

Graph3dManipulatorBasic IG::Gr3d::VtkControlWin::graph3dManipulatorBasic1`[private]`

## Property Documentation

VtkControlBase IG::Gr3d::VtkControlWin::VtkControl`[get]`

Gets the control of type VtkControlBase through which VTK functionality is controlled.

Implements IG::Gr3d::IVtkFormContainerGen< VtkControlType >.

Kitware.VTK.RenderWindowControl IG::Gr3d::VtkControlWin::VtkRenderWindowControl`[get]`

VTK's control that is actually used for rendering graphics and through which VTK can be interacted directly. Instead of accessing this control directly, you should normally access it through the VtkControlBase.VtkControl property of the VtkControl property.

Implements IG::Gr3d::IVtkFormContainerGen< VtkControlType >.

The documentation for this class was generated from the following files:

- VtkControlWin.cs
- VtkControlWin.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events